# com.github.insanusmokrassar.TelegramBotAPI.extensions.api.chat.get - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api.chat.get

## Package com.github.insanusmokrassar.TelegramBotAPI.extensions.api.chat.get

### Functions

(common)

#### getChat

`suspend fun RequestsExecutor.getChat(chatId: ChatIdentifier): ExtendedChat`
`suspend fun RequestsExecutor.getChat(chat: Chat): ExtendedChat`

(common)

#### getChatAdministrators

`suspend fun RequestsExecutor.getChatAdministrators(chatId: ChatIdentifier): List<AdministratorChatMember>`
`suspend fun RequestsExecutor.getChatAdministrators(chat: PublicChat): List<AdministratorChatMember>`

(common)

#### getChatMembersCount

`suspend fun RequestsExecutor.getChatMembersCount(chatId: ChatIdentifier): Int`
`suspend fun RequestsExecutor.getChatMembersCount(chat: PublicChat): Int`